

fn draw_central(gc: &mut crate::GloblCtx, ui: &mut egui::Ui, _frame: &mut eframe::Frame) -> anyhow::Result<()> {
    for i in crate::launcher::Launcher::get_modpacks(&gc.config)? {
        ui.label(i);
    }
    Ok(())
}


pub fn gui_start(mut gc: crate::GloblCtx) -> anyhow::Result<()> {
    let options = eframe::NativeOptions::default();
    let _ = eframe::run_simple_native("a3l_rs", options, move |ctx, frame| {
        egui::CentralPanel::default().show(ctx, |ui| {
            if let Err(e) = draw_central(&mut gc, ui, frame) {
                log::error!("GUI ERR: {e}");
            }
        });
    });
    Ok(())
}
