use std::path::Path;

pub mod gui;
pub mod config;
pub mod cli;
pub mod modpack;
pub mod launcher;

#[derive(Debug, Clone)]
pub struct GloblCtx {
    config: config::Config,
}

impl GloblCtx {
    pub fn new() -> anyhow::Result<Self> {
        Ok(Self {
            config: config::Config::parse(Path::new("./config.toml"))?,
        })
    }
}


